# SGDB Button on Steam

A simple browser extension that adds a button on Steam pages that links to their SteamGridDB entry.

## Installation

You can download it for Firefox [here](https://addons.mozilla.org/en-US/firefox/addon/sgdb-button-on-steam/). 

If you want to use it on Edge or Chrome, you will have to manually install it instead.

I'm still awaiting verification to publish on the Edge Add-ons site, and I don't want to pay to publish it on the Chrome Web Store.

### Manual Install
1. Start by downloading the latest release from [here](https://gitea.goblincave.synology.me/Nes/SGDB-Extension/releases).
2. Unpack the ZIP archive in a location of your choosing.
3. Go to `edge://extensions` in Edge, or `chrome://extensions` in Chrome
4. Enable "Developer mode"
5. Press "Load unpacked" and select the folder where you unzipped the extension.

## Preferences

You can configure your preferences by clicking on the extension icon to show a popup menu.

## Other Recommended Extensions

Some other great extensions for enhancing your Steam browsing experience:
- [Augmented Steam](https://augmentedsteam.com/)
- [SteamDB](https://steamdb.info/extension/)

You can also add some custom SGDB buttons through Augmented Steam.
1. Go to https://store.steampowered.com/
2. At the top of the page, click on the "Augmented Steam" dropdown, and select "Options".
3. Navigate to the Store > App page section.
4. Create a custom link with the following properties:
	- Name: `SteamGridDB`
	- URL: `steamgriddb.com/steam/[ID]`
	- Icon: `https://cdn2.steamgriddb.com/icon/c4ca4238a0b923820dcc509a6f75849b.ico`
5. Navigate to the Community > Profile section.
6. Create a custom link with the following properties:
	- Name: `SteamGridDB`
	- URL: `steamgriddb.com/profile/[ID]`
	- Icon: `i.imgur.com/NYQSplq.png`

